clear all
close all
home

load('X1.mat')
load('YMatrix1.mat')

figure1 = figure('PaperType','a4letter','PaperSize',[20.98 29.68],...
    'Name','Diagram Title');

% Create axes
axes1 = axes('Parent',figure1,'YTick',[-1.5 -1 -0.5 0 0.5 1 1.5],...
    'XTick',[0 0.5 1 1.5 2 2.5 3 3.5 4 4.5 5 5.5 6 6.5 7],...
    'FontSize',11);
% Uncomment the following line to preserve the X-limits of the axes
% xlim([0 6]);
% Uncomment the following line to preserve the Y-limits of the axes
% ylim([-2 2]);
box('on');
grid('on');
hold('all');

% Create multiple lines using matrix input to plot
plot1 = plot(X1,YMatrix1,'Parent',axes1,'LineWidth',2,'Color',[0 0 0]);
set(plot1(1),'DisplayName','curve 1');
set(plot1(2),'LineStyle','--','DisplayName','curve 2');
set(plot1(3),'MarkerFaceColor',[0 0 0],'MarkerEdgeColor',[0 0 0],...
    'Marker','o',...
    'DisplayName','curve 3');

% Create xlabel
xlabel('time t [s]','Interpreter','none','FontSize',11);

% Create ylabel
ylabel({'force [N]',''},'Interpreter','none','FontSize',11);

% Create legend
legend(axes1,'show');

